# Don't try fancy stuff like debuginfo, which is useless on binary-only
# packages. Don't strip binary too
# Be sure buildpolicy set to do nothing
%define        __spec_install_post %{nil}
%define          debug_package %{nil}
%define        __os_install_post %{_dbpath}/brp-compress

%define	_prefix /usr/local

Summary: Local SNMP HW Monitoring Scripts
Name: upenn-snmp-exec
Vendor: UPENN
Version: 1.2
Release: 1
License: None
Group: System/Tools
Source: snmp-exec-%{version}.tar.gz
URL: http://repo.net.isc.upenn.edu
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Prefix: %{_prefix}
Requires: srvadmin-omacore

%description
This package installs scripts that can be polled via snmp to monitor hardware 
events like RAID failures.

%prep
# -c create a top level dir
%setup -c
cd snmp-exec-%{version}

%build
# Empty section. -- tomcat doesn't need to be "built" we are using an java binary package

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_prefix}
cd snmp-exec-%{version} && make PREFIX= DESTDIR=%{buildroot}/%{_prefix} install

%pre
%post
cd %{_prefix}/lib/snmp-exec/ && ./add-all-snmpd-scripts /etc/snmp/snmpd.conf snmp-exec
echo "%{_prefix}/lib/snmp-exec/sendtraps oneshot" > /etc/cron.hourly/sendtraps.cron
chmod +x /etc/cron.hourly/sendtraps.cron
%preun
cd %{_prefix}/lib/snmp-exec/ && ./remove-snmp-script /etc/snmp/snmpd.conf snmp-exec
rm -f /etc/cron.hourly/sendtraps

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_prefix}/lib/snmp-exec/*
%{_prefix}/var/snmp-exec/state

%changelog
* Tue Mar 15 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 1.2
Fixed bug in handling of stale log from tomcat and cronolog.
* Tue Mar 15 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 1.1
Added handling of stale log files from tomcat and cronolog in upenn-trap-filter.
* Tue Mar 09 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 1.0
Cleaned up some unnecessary STDERR output.
* Tue Mar 09 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.9
Bug in io buffering.  Fixed.
* Tue Mar 08 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.8
Added to script to make trap sending easier.
* Tue Mar 08 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.7
Found a battery failure change that almost got dropped because it wasn't it git
* Tue Mar 08 2011 Garick Hamlin <ghamlin@isc.upenn.edu> 0.6
Fixed a problem with newer omreport tools that have a 'Power Status:' entry
* Wed Sep 20 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 0.4
Added trap sending approach.  Bumped Version
* Wed Sep 20 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 0.3-2
Using oids now.  Fixed uninstall.
* Wed Sep 20 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 0.1-1
Fixed path to config files
* Wed Sep 20 2010 Garick Hamlin <ghamlin@isc.upenn.edu> 0.1
New project.
